Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent
Class ESISNode

    java.lang.Object
      multivalent.ESISNode

public class ESISNode
extends java.lang.Object

Simple tree node for use in building parse tree: attributes, children, write linearized tree to string. Like java.awt.Rectangle, all fields public. Can't be directly used in document tree.

Version:
  $Revision: 1.7 $ $Date: 2003/06/02 05:06:01 $

Field Summary
`java.util.Map<java.lang.String,java.lang.Object>` | `attrs`
`boolean` | `empty`
`char` | `ptype`
`static int` | `TRIM_ALLCONTENT`
`static int` | `TRIM_NULLCONTENT`

Constructor Summary
`ESISNode(java.lang.String gi)`
`ESISNode(java.lang.String gi, java.util.Map<java.lang.String,java.lang.Object> attr)`
`ESISNode(java.lang.String gi, java.util.Map<java.lang.String,java.lang.Object> attr, ESISNode parent)`

Method Summary
`void` | `appendChild(java.lang.Object n)`
`java.lang.Object` | `childAt(int n)`
`void` | `dump()`
`void` | `dump(java.lang.String indent)`
`java.lang.String` | `getAttr(java.lang.String key)`
`java.lang.String` | `getGI()`
`ESISNode` | `putAttr(java.lang.String key, java.lang.Object value)`
`void` | `removeAttr(java.lang.String key)`
`void` | `removeChildAt(int posn)`
`void` | `setGI(java.lang.String gi)`
`int` | `size()`
`java.lang.String` | `toString()`
`static void` | `trimTree(ESISNode tree)`
`static void` | `trimTree(ESISNode tree, int flags)`
`java.lang.String` | `writeXML()` Writes ESIS tree as XML.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### attrs

    public java.util.Map<java.lang.String,java.lang.Object> attrs

### empty

    public boolean empty

### ptype

    public char ptype

### TRIM_ALLCONTENT

    public static final int TRIM_ALLCONTENT

See Also:
  Constant Field Values

### TRIM_NULLCONTENT

    public static final int TRIM_NULLCONTENT

See Also:
  Constant Field Values

Constructor Detail

### ESISNode

    public ESISNode(java.lang.String gi,
                    java.util.Map<java.lang.String,java.lang.Object> attr,
                    ESISNode parent)

### ESISNode

    public ESISNode(java.lang.String gi,
                    java.util.Map<java.lang.String,java.lang.Object> attr)

### ESISNode

    public ESISNode(java.lang.String gi)

Method Detail

### getGI

    public java.lang.String getGI()

### setGI

    public void setGI(java.lang.String gi)

### size

    public int size()

### appendChild

    public void appendChild(java.lang.Object n)

### removeChildAt

    public void removeChildAt(int posn)

### childAt

    public java.lang.Object childAt(int n)

### putAttr

    public ESISNode putAttr(java.lang.String key,
                            java.lang.Object value)

### getAttr

    public java.lang.String getAttr(java.lang.String key)

### removeAttr

    public void removeAttr(java.lang.String key)

### trimTree

    public static void trimTree(ESISNode tree)

### trimTree

    public static void trimTree(ESISNode tree,
                                int flags)

### writeXML

    public java.lang.String writeXML()

  Writes ESIS tree as XML.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### dump

    public void dump()

### dump

    public void dump(java.lang.String indent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD